server:
  port: 8080

spring:
#将sqltoy 放于开始位置，避免很多开发者忽视了spring.sqltoy 开头，变成了sqltoy开头导致无法加载
  sqltoy:
      # 多个路径用逗号分隔(请务必看仔细)
      sqlResourcesDir: classpath:sql
      # 默认为classpath:sqltoy-translate.xml，一致则可以不用设置
#      translateConfig: classpath:translate.xml
      # 针对json等特殊类型做处理(可选配置)
      typeHandler: com.wisedu.jztools.main.handler.JsonTypeHandler
      # 跨数据库函数自适配功能,默认是关闭的
      #functionConverts: default
      # 默认为false，debug模式将打印执行sql,并自动检测sql文件更新并重新加载
      debug: true
      # 出现重复sqlId是否抛出异常终止启动,默认值为true
      #breakWhenSqlRepeat: true
      # 如果是单一类型数据库填写有利于减少一些判断(即排除类似于:mysql\oracle多种类型混用场景)
      #dialect: mysql
      # 设置默认使用的datasource(可选配置)
      #defaultDataSource: dataSource
      # 设置获取数据源的策略实现类,只在多数据源场景下需要设置,DefaultDataSourceSelector是默认实现
      #dataSourceSelector: org.sagacity.sqltoy.plugins.datasource.impl.DefaultDataSourceSelector
      # 提供统一字段:createBy createTime updateBy updateTime 等字段补漏性(为空时)赋值(可选配置)
      unifyFieldsHandler: com.wisedu.jztools.main.handler.SqlToyUnifyFieldsHandler
      # sql执行超过多长时间则进行日志输出,用于监控哪些慢sql(可选配置:默认30秒)
      printSqlTimeoutMillis: 300000
      # 分页最大提取数据限制，默认10万
      #pageFetchSizeLimit: 500000
      # 数据库保留字兼容处理(原则上不要使用数据库保留字,多个用逗号分隔)
      reservedWords: maxvalue,minvalue
      # 切换缓存类型，默认为ehcache(在sqltoy中缓存存放cache[cacheName,HashMap<key,Object[]]结构,所以缓存框架并不影响性能)
      cacheType: caffeine
      #自定义缓存框架设定
      #translateCacheManager: com.xxxx.xxxCacheImpl
      #使用sqltoy自带的RSA加解密
      securePrivateKey: classpath:key/rsa_private.key
      securePublicKey: classpath:key/rsa_public.key
      # 自定义加解密实现
      #fieldsSecureProvider: 可自行实现org.sagacity.sqltoy.plugins.secure.FieldsSecureProvider
  datasource:
    url: jdbc:mysql://39.100.144.7:3306/jimureport?useUnicode=true&useSSL=false&characterEncoding=utf8&serverTimezone=UTC
    username: root
    password: root
    driver-class-name: com.mysql.cj.jdbc.Driver
    druid:
      initial-size: 5
      min-idle: 5
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      keepAlive: true
      # 切记切记不要打开poolPreparedStatements 和设置maxOpenPreparedStatements，druid这里有bug，会报关闭的语句，让你找不到错误的原因
      #poolPreparedStatements: false
      #注意maxOpenPreparedStatements设置>0 就等同于设置poolPreparedStatements=true
      #maxOpenPreparedStatements: 20
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 600000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: true
      testOnReturn: false
      removeAbandoned: true
      removeAbandonedTimeout: 300
#  flyway:
#    locations: classpath:db # 迁移脚本的路径
#    clean-disabled: true
#    enabled: true
#    encoding: UTF-8
#    baseline-on-migrate: true
  servlet:
    multipart:
      enabled: true
      max-request-size: 100MB
      max-file-size: 100MB
      file-size-threshold: 20MB
  devtools:
    restart:
      enabled: true
  # 日志配置
logging:
  config: classpath:logback-spring.xml
  path: /Users/hujun/Documents/temp
  level:
    spring: warn

plugin:
  runMode: dev
  mainPackage: com.wisedu.jztools.main
  # 如果配置是 windows 下路径, mac、linux 自行修改
  pluginPath:
     - ~/jztools-plugins

# Sa-Token配置
sa-token:
    # token名称 (同时也是cookie名称)
    token-name: satoken
    # token有效期，单位s 默认30天, -1代表永不过期
    timeout: 2592000
    # token临时有效期 (指定时间内无操作就视为token过期) 单位: 秒
    activity-timeout: -1
    # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
    is-concurrent: true
    # 在多人登录同一账号时，是否共用一个token (为true时所有登录共用一个token, 为false时每次登录新建一个token)
    is-share: false
    # token风格
    token-style: uuid
    # 是否输出操作日志
    is-log: false

application:
  login-name: admin
  login-pass: 123456
  login-key: MIICdgIBADANBgkqhkiG9w0BAQEFAASCAmAwggJcAgEAAoGBAO+wmt01pwm9lHMdq7A8gkEigk0XKMfjv+4IjAFhWCSiTeP7dtlnceFJbkWxvbc7Qo3fCOpwmfcskwUc3VSgyiJkNJDs9ivPbvlt8IU2bZ+PBDxYxSCJFrgouVOpAr8ar/b6gNuYTi1vt3FkGtSjACFb002/68RKUTye8/tdcVilAgMBAAECgYA1COmrSqTUJeuD8Su9ChZ0HROhxR8T45PjMmbwIz7ilDsR1+E7R4VOKPZKW4Kz2VvnklMhtJqMs4MwXWunvxAaUFzQTTg2Fu/WU8Y9ha14OaWZABfChMZlpkmpJW9arKmI22ZuxCEsFGxghTiJQ3tK8npj5IZq5vk+6mFHQ6aJAQJBAPghz91Dpuj+0bOUfOUmzi22obWCBncAD/0CqCLnJlpfOoa9bOcXSusGuSPuKy5KiGyblHMgKI6bq7gcM2DWrGUCQQD3SkOcmia2s/6i7DUEzMKaB0bkkX4Ela/xrfV+A3GzTPv9bIBamu0VIHznuiZbeNeyw7sVo4/GTItq/zn2QJdBAkEA8xHsVoyXTVeShaDIWJKTFyT5dJ1TR++/udKIcuiNIap34tZdgGPI+EM1yoTduBM7YWlnGwA9urW0mj7F9e9WIQJAFjxqSfmeg40512KP/ed/lCQVXtYqU7U2BfBTg8pBfhLtEcOg4wTNTroGITwe2NjL5HovJ2n2sqkNXEio6Ji0QQJAFLW1Kt80qypMqot+mHhS+0KfdOpaKeMWMSR4Ij5VfE63WzETEeWAMQESxzhavN1WOTb3/p6icgcVbgPQBaWhGg==

nutz:
  dao:
    enabled: true
    runtime:
      create: true #是否自动建表 默认true
      migration: true #是否自动变更 默认true
      add-column: false # 是否添加列 默认true
      delete-column: false # 是否删除列 默认true
      foce-create: false # 是否删表重建，注意此功能会删除全部表及数据，一般应用于demo或测试 默认false
      check-index: true # 是否检查索引 默认true
      basepackage: # 相关实体所在包
        - com.wisedu.jztools.main.entity
    sql-manager:
      mode: xml #自定义sql管理模式 file和xml
      paths: # 自定义sql文件路径
        - sqls
    sql-template:
      enable: false #是否启用 默认false
      type: beetl #模板引擎类型，默认beetl
  json:
    enabled: true #是否启用，默认true
    mode: compact #json模式，默认compact
    ignore-null: true # 是否忽略空对象
    compact: true # 是否启用压缩模式
    date-format: yyyy-MM-dd HH:mm:ss # 日期格式化
  http:
    enabled: true #是否启用nutz http client 的 RestTemplate 支持 默认 true
    http:
      connection-timeout: 5000 # http 连接超时时间 ,默认 30 * 1000
      follow-redirects: true # 是否跟随重定向 默认 true
      jvm-https-check: false # 是否启用jvm的https证书检查, 默认 true
      timeout: 60000 # 读取超时时间 默认 10 * 60 * 1000
    proxy:
      enabled: false # 是否启用代理(默认仅支持http代理)
      host: 10.1.1.1 # 代理主机
      port: 8080 # 代理端口
      proxied-hosts: # 被代理的域名列表
      - baidu.com